{% extends "../frame.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
<!--     <script src='{% static "js/groupStuff.js" %}'></script> -->
    
    <!-- Edit existing Group -->
    {% if close == "yes" %}
        {{ close }}
        <script>
            opener.getAlerts();
            window.close();
        </script>    
    {% endif %}
    
    <div id="addAlert" class="">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="width: 95%;">
        
            <div class="w3-center"><br>
                <span onclick='window.close()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>

            <form class="w3-container" method="POST" action="/message/{{ muuid }}/alert/add">
                {% csrf_token %}
                <div class="w3-section">
                    <label><b>{% trans 'Subject' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Some title" name="subject">
                            
                    <div class="w3-container">                         
                        <div class="w3-quarter">
                            <label><b>{% trans 'Privacy' %}</b></label>
                            <div id="" style="width:60%"> 
                                <select class="w3-select w3-border w3-margin-bottom" name='accessright' id='accessright'>
                                    <option value='private'> {% trans 'Private' %}</option>
                                    <option value='public'> {% trans 'Public' %} </option> 
                                </select>
                            </div>
                        </div>
                     </div>    
                    
                    <div class="w3-container">             
                        <div class="w3-half">
                            <label><b>{% trans 'startDate' %}</b></label>
                            <div id=""  > 
                                <input type="text" id="startdate" name="startdate" value=""/> <a id="openStart" value="openStart"/><i class="far fa-calendar-alt fa-2x"></i></a>
                            </div>
                        </div>
                             
                        <div class="w3-half">
                            <label><b>{% trans 'endDate' %}</b></label>
                            <div id="" > 
                                <input type="text" id="enddate" name="enddate" value="" /> <a id="openEnd" value="openEnd"/><i class="far fa-calendar-alt fa-2x"></i></a>
                            </div>
                        </div>
                            
                    </div>        
                        
                    <div class="w3-container">   
                        </br>
                        <label><b>{% trans 'Message' %}</b></label>
                        <div id="" > 
                            <textarea  class="w3-margin" name="body" id="bodyAlert" rows=10 cols=62></textarea>
                        </div>
                    </div>
                    
                    

                    <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                        <input type='hidden' name='u_uuid' value='{{ user.uuid }}' id='alertUuid'>
                        <button class="w3-button w3-right w3-green w3-margin-left" type="submit">{% trans 'Submit' %}</button>
                        <button class="w3-button w3-left  w3-red   w3-margin-right"   type="button" onclick='window.close()'>{% trans 'Cancel' %}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    
    
{% endblock %}
